| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::GLUniformCache Class Reference

An in memory cache of the OpenGL uniforms. More...

`#include <OgreGLUniformCache.h>`

Inheritance diagram for Ogre::GLUniformCache:
[legend]

## Public Member Functions
void | clearCache ()
| Clears all cached values. More...
bool | updateUniform (int location, const void *value, int length)
| Update a uniform. More...

## Detailed Description

An in memory cache of the OpenGL uniforms.

## Member Function Documentation

## ◆ clearCache()

void Ogre::GLUniformCache::clearCache | ( |  | ) |

Clears all cached values.

## ◆ updateUniform()

bool Ogre::GLUniformCache::updateUniform | ( | int | location,
|  | const void * | value,
|  | int | length
| ) |  |

Update a uniform.

Returns
  A boolean value indicating whether this uniform needs to be updated in the GL.

The documentation for this class was generated from the following file:

- OgreGLUniformCache.h